MCP Tools Reference: developerknowledge.googleapis.com

כלי: get_documents

אתם יכולים להשתמש בכלי הזה כדי לאחזר את התוכן המלא של מסמך אחד או עד 20 מסמכים בשיחה אחת. שמות המסמכים צריכים להתקבל מהשדה parent בתוצאות של קריאה לכלי search_documents. מגדירים את הפרמטר names לרשימה של שמות מסמכים.

בדוגמת הקוד הבאה מוצג שימוש בפקודה curl כדי להפעיל את הכלי get_documents MCP.

בקשת Curl
curl --location 'https://developerknowledge.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "get_documents",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'

סכימת הקלט

סכמת בקשה ל-get_documents.

GetDocumentsRequest

ייצוג JSON
{
  "names": [
    string
  ]
}
שדות
names[]

string

חובה. שמות המסמכים לאחזור, כפי שמוחזרים על ידי search_documents. אפשר לאחזר עד 20 מסמכים בקריאה אחת. המסמכים מוחזרים באותו סדר שבו הם מופיעים בבקשה names. פורמט: documents/{uri_without_scheme} דוגמה: documents/docs.cloud.google.com/storage/docs/creating-buckets

סכימת הפלט

סכמת התשובה של get_documents.

GetDocumentsResponse

ייצוג JSON
{
  "documents": [
    {
      object (Document)
    }
  ]
}
שדות
documents[]

object (Document)

המסמכים המבוקשים.

מסמך

ייצוג JSON
{
  "name": string,
  "uri": string,
  "content": string,
  "description": string,
  "title": string
}
שדות
name

string

מזהה. שם המשאב של המסמך. פורמט: documents/{uri_without_scheme} דוגמה: documents/docs.cloud.google.com/storage/docs/creating-buckets

uri

string

פלט בלבד. מזהה ה-URI של התוכן, למשל https://cloud.google.com/storage/docs/creating-buckets.

content

string

פלט בלבד. תוכן המסמך בפורמט Markdown.

description

string

פלט בלבד. תיאור של המסמך.

title

string

פלט בלבד. שם המסמך.

הערות על כלים

רמז הרסני: ❌ | רמז אידמפוטנטי: ✅ | רמז לקריאה בלבד: ✅ | רמז לעולם פתוח: ❌